| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::GaudiAlgs Namespace Reference

## Classes
class | GaudiAlgo
| the base class for all algorithm Python-image of C++ clkass GaudiAlgorithm More...
class | HistoAlgo
| The base class for easy histogramming. More...
class | TupleAlgo
| The base class for easy manupulations with N-Tuples. More...
class | objectmethod
## Functions
def | _tool_
| Useful method to locate the tool a certain.
def | _service_
| Useful method to locate a service:.
def | _init_
| The constructor from unique algorithm instance name,.
def | _initialize_
| The default initialization (initilization of base C++ class + data.
def | _initialize_histo_
| The default initialization (initilization of base C++ class + data memebrs).
def | _initialize_tuple_
| The default initilization (initialization of base C++ class + data memebrs).
def | _evtSvc
| Trivial helper function to access Event Data and Event Data Service.
def | _detSvc
| Trivial helper function to access Detector Data and Detector Data Service.
def | _histoSvc
| Trivial helper function to access Histogram Data and Histogram Data Service.
def | _get
| Trivial function to access the data in TES.
def | _getDet
| Trivial function to access the data in TDS.
def | _ntupleSvc
| Trivial helper function to access NTuple Service.
def | _evtcolSvc
| Trivial helper function to access Event Collection Service.
def | _finalize_
| The default finalization (finalization of base C++ class).
def | _success_
| Dummy method returning success.
def | _hasProperty_
| check the existency of the proeprty with the given name
def | _getProperty_
| get the value of the given property
def | _setProperty_
| set the value for the given property
def | _get_attr_
| get the attribute or property
def | _set_attr_
| set the attribute or property
def | _start_
def | _execute_
def | _stop_
def | _plot1D_
def | _plot2D_
def | _plot3D_
def | _profile1D_
def | _profile2D_
def | _decorate_plots_
def | _nTuple_
def | _evtCol_
def | _decorate_tuples_
def | _t_nTuple_
def | _t_ntuple_
def | _t_valid_
def | _t_write_
def | _t_column_
def | _t_array_
def | _t_matrix_
def | _t_farray_
def | _t_fmatrix_
def | _decorate_algs_
def | mapvct
def | _help_
## Variables
string | __author__ = 'Vanya BELYAEV Ivan.Belyaev@lapp.in2p3.fr'
| GaudiPython = gaudimodule.gbl.GaudiPython
| get the namespaces
| GaudiAlg = gaudimodule.gbl.GaudiAlg
| HID = GaudiAlg.ID
| "typedef" for GaudiPython::Vector
| HistoID = HID
| TID = HID
| TupleID = TID
| SUCCESS = gaudimodule.SUCCESS
| iAlgorithm = gaudimodule.iAlgorithm
tuple | _GaudiAlgorithm = GaudiPython.PyAlg( 'GaudiAlgorithm' )
tuple | _GaudiHistoAlg = GaudiPython.PyAlg( 'GaudiHistoAlg' )
tuple | _GaudiTupleAlg = GaudiPython.PyAlg( 'GaudiTupleAlg' )
| Tuple = gaudimodule.gbl.Tuples.Tuple
| _Dec = GaudiPython.TupleDecorator
dictionary | _alg_map_
| _evtSvc_
| _detSvc_
| _histoSvc_
| _ntupleSvc_
| _evtcolSvc_

## Function Documentation

def GaudiPython::GaudiAlgs::_decorate_algs_ | ( |  | klasses | ) | `[private]`

Definition at line 1038 of file GaudiAlgs.py.

    01038                                 :
    01039     t = type( klasses )
    01040     if not issubclass ( t , list  ) and  \
    01041        not issubclass ( t , tuple ) : klasses = [ klasses ]
    01042     for _alg in klasses :
    01043         for key in _alg_map_ : setattr( _alg , key , _alg_map_[key] )
    01044
    01045 # =
    _decorate_algs_ ( GaudiAlgo )

def GaudiPython::GaudiAlgs::_decorate_plots_ | ( |  | klasses | ) | `[private]`

Definition at line 933 of file GaudiAlgs.py.

    00933                                  :
    00934     t = type( klasses )
    00935     if not issubclass ( t , list  ) and  \
    00936        not issubclass ( t , tuple ) : klasses = [ klasses ]
    00937     for klass in klasses :
    00938         klass .plot       = _plot1D_
    00939         klass .plot1D     = _plot1D_
    00940         klass .plot2D     = _plot2D_
    00941         klass .plot3D     = _plot3D_
    00942         klass .profile1D  = _profile1D_
    00943         klass .profile2D  = _profile2D_
    00944
    _decorate_plots_ ( HistoAlgo )

def GaudiPython::GaudiAlgs::_decorate_tuples_ | ( |  | klasses | ) | `[private]`

Definition at line 963 of file GaudiAlgs.py.

    00963                                   :
    00964     t = type( klasses )
    00965     if not issubclass ( t , list  ) and  \
    00966        not issubclass ( t , tuple ) : klasses = [ klasses ]
    00967     for klass in klasses :
    00968         klass . nTuple    = _nTuple_
    00969         klass . evtCol    = _evtCol_
    00970         klass . ntupleSvc = _ntupleSvc
    00971         klass .  tupleSvc = _ntupleSvc
    00972         klass .   ntupSvc = _ntupleSvc
    00973         klass .    tupSvc = _ntupleSvc
    00974         klass . evtColSvc = _evtcolSvc
    00975         klass . evtcolSvc = _evtcolSvc
    00976
    00977 # ==========================================================
    _decorate_tuples_ ( TupleAlgo )

def GaudiPython::GaudiAlgs::_detSvc | ( |  | self | ) | `[private]`

Trivial helper function to access Detector Data and Detector Data Service.

Usage:

        # get detector data service
        svc = self.detSvc()

        # get the data
        lhcb = self.detSvc('/dd/Structure/LHCb')

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-11-26

      Trivial helper function to access Detector Data and Event Data Service

      Usage:
      # get detector data service
      svc = self.detSvc()

      # get the data
      lhcb = self.detSvc('/dd/Structure/LHCb')

Definition at line 289 of file GaudiAlgs.py.

    00289                        :
    00290     """
    00291     Trivial helper function to access Detector Data and Event Data Service
    00292
    00293     Usage:
    00294     # get detector data service
    00295     svc = self.detSvc()
    00296
    00297     # get the data
    00298     lhcb = self.detSvc('/dd/Structure/LHCb')
    00299     """
    00300     if not location :
    00301         return self._detSvc_
    00302     return self._detSvc_[location]
    00303
    00304 # =============================================================================
    ## Trivial helper function to access Histogram  Data and Histogram  Data Service

def GaudiPython::GaudiAlgs::_evtCol_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

    Retrieve (book-on-demand) N-Tuple object for Event Tag Collections

Definition at line 954 of file GaudiAlgs.py.

    00954                          :
    00955     """
    00956     Retrieve (book-on-demand) N-Tuple object for Event Tag Collections
    00957     """
    00958     return GaudiPython.TupleAlgDecorator.evtCol ( s , *a )
    00959
    00960 _nTuple_.__doc__  += GaudiPython.TupleAlgDecorator.nTuple.__doc__
    00961 _evtCol_.__doc__  += GaudiPython.TupleAlgDecorator.evtCol.__doc__
    00962
    def _decorate_tuples_ ( klasses ) :

def GaudiPython::GaudiAlgs::_evtcolSvc | ( |  | self | ) | `[private]`

Trivial helper function to access Event Collection Service.

    Trivial function to access Event Collection Service

Definition at line 362 of file GaudiAlgs.py.

    00362                         :
    00363     """
    00364     Trivial function to access Event Collection Service
    00365     """
    00366     return self._evtcolSvc_
    00367
    00368
    00369 # =============================================================================
    ## The default finalization (finalization of base C++ class)

def GaudiPython::GaudiAlgs::_evtSvc | ( |  | self,
|  |  | location = `None` |
| ) |  |  | `[private]`

Trivial helper function to access Event Data and Event Data Service.

Usage:

        # get event data service
        svc = self.evtSvc()

        # get the data
        hits = self.evtSvc('MC/Calo/Hits')

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-11-26

      Trivial helper function to access Event Data and Event Data Service

      Usage:

      # get event data service
      svc = self.evtSvc()

      # get the data
      hits = self.evtSvc('MC/Calo/Hits')

Definition at line 256 of file GaudiAlgs.py.

    00256                                          :
    00257     """
    00258     Trivial helper function to access Event Data and Event Data Service
    00259
    00260     Usage:
    00261
    00262     # get event data service
    00263     svc = self.evtSvc()
    00264
    00265     # get the data
    00266     hits = self.evtSvc('MC/Calo/Hits')
    00267     """
    00268     if not location :
    00269         return self._evtSvc_
    00270     return self._evtSvc_[location]
    00271
    00272 # =============================================================================
    ## Trivial helper function to access Detector Data and Detector  Data Service

def GaudiPython::GaudiAlgs::_execute_ | ( |  | self | ) | `[private]`

    The fictive 'execute' method, which MUST be overwitten by user

Definition at line 808 of file GaudiAlgs.py.

    00808                        :
    00809     """
    00810     The fictive 'execute' method, which MUST be overwitten by user
    00811     """
    00812     raise RuntimeError, 'Execute method is not implemented for %s' % self.name()
    00813
    00814 GaudiAlgo.execute = _execute_
    00815 HistoAlgo.execute = _execute_
    00816 TupleAlgo.execute = _execute_
    00817
    def _stop_ ( self ) :

def GaudiPython::GaudiAlgs::_finalize_ | ( |  | self | ) | `[private]`

The default finalization (finalization of base C++ class).

    The default finalization : finalize the base C++ class

Definition at line 371 of file GaudiAlgs.py.

    00371                           :
    00372     """
    00373     The default finalization : finalize the base C++ class
    00374     """
    00375     status = self._Base.finalize_  ( self )
    00376     return status
    00377 # =============================================================================
    ## Dummy method returning success

def GaudiPython::GaudiAlgs::_get | ( |  | self,
|  |  | location |
| ) |  |  | `[private]`

Trivial function to access the data in TES.

    Trivial function to access the data in TES

Definition at line 338 of file GaudiAlgs.py.

    00338                                   :
    00339     """
    00340     Trivial function to access the data in TES
    00341     """
    00342     return self._evtSvc_[location]
    00343
    00344 # =============================================================================
    ## Trivial function to access the data in TDS

def GaudiPython::GaudiAlgs::_get_attr_ | ( |  | self,
|  |  | pname |
| ) |  |  | `[private]`

get the attribute or property

    Get the atribute (or property)
    - if the attribute name corresponds to the property name, property value is returned

Definition at line 412 of file GaudiAlgs.py.

    00412                                 :
    00413     """
    00414     Get the atribute (or property)
    00415     - if the attribute name corresponds to the property name, property value is returned
    00416     """
    00417     if self.hasProperty( pname ) :
    00418         return iAlgorithm.__getattr__ ( self , pname )
    00419     raise AttributeError, 'attribute/property %s does not exist' % pname
    00420
    00421 # =============================================================================
    ## set the attribute or property

def GaudiPython::GaudiAlgs::_getDet | ( |  | self,
|  |  | location |
| ) |  |  | `[private]`

Trivial function to access the data in TDS.

    Trivial function to access the data in TDS

Definition at line 346 of file GaudiAlgs.py.

    00346                                   :
    00347     """
    00348     Trivial function to access the data in TDS
    00349     """
    00350     return self._detSvc_[location]
    00351
    00352 # =============================================================================
    ## Trivial helper function to access NTuple Service

def GaudiPython::GaudiAlgs::_getProperty_ | ( |  | self,
|  |  | pname |
| ) |  |  | `[private]`

get the value of the given property

    Get the property by name

Definition at line 392 of file GaudiAlgs.py.

    00392                                    :
    00393     """
    00394     Get the property by name
    00395     """
    00396     if not self.hasProperty( pname ) :
    00397         raise AttributeError, 'property %s does not exist' % pname
    00398     return iAlgorithm.__getattr__( self , pname )
    00399
    00400 # =============================================================================
    ## set the value for the given property

def GaudiPython::GaudiAlgs::_hasProperty_ | ( |  | self,
|  |  | pname |
| ) |  |  | `[private]`

check the existency of the proeprty with the given name

    The trivial function which checks the existence of the property with given name

Definition at line 384 of file GaudiAlgs.py.

    00384                                    :
    00385     """
    00386     The trivial function which checks the existence of the property with given name
    00387     """
    00388     return gaudimodule.gbl.Gaudi.Utils.hasProperty ( self , pname )
    00389
    00390 # =============================================================================
    ## get the value of the given property

def GaudiPython::GaudiAlgs::_help_ | ( |  | ) | `[private]`

Definition at line 1073 of file GaudiAlgs.py.

    01073              :
    01074     print __doc__ , __author__
    01075     print '\t\t\tDoc-string for class GaudiAlgo \n' , GaudiAlgo.__doc__
    01076     print '\t\t\tDoc-string for class HistoAlgo \n' , HistoAlgo.__doc__
    01077     print '\t\t\tDoc-string for class TupleAlgo \n' , TupleAlgo.__doc__
    01078
    01079 # =============================================================================
    01080 # pseudo-test suite
    01081 # =============================================================================
    if __name__ == '__main__' :

def GaudiPython::GaudiAlgs::_histoSvc | ( |  | self,
|  |  | address = `None` |
| ) |  |  | `[private]`

Trivial helper function to access Histogram Data and Histogram Data Service.

Usage:

        # get histogram data service
        svc = self.histoSvc()

        # get the data
        histo = self.histoSvc('/stat/Calo/1')

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-11-26

      Trivial helper function to access Histogram  Data and Histogram  Data Service

      Usage:

      # get histogram data service
      svc = self.histoSvc()

      # get the data
      histo = self.histoSvc('/stat/Calo/1')

Definition at line 321 of file GaudiAlgs.py.

    00321                                          :
    00322     """
    00323     Trivial helper function to access Histogram  Data and Histogram  Data Service
    00324
    00325     Usage:
    00326
    00327     # get histogram data service
    00328     svc = self.histoSvc()
    00329
    00330     # get the data
    00331     histo = self.histoSvc('/stat/Calo/1')
    00332     """
    00333     if not address : return self._histoSvc_
    00334     return self._histoSvc_[ address ]
    00335
    00336 # =============================================================================
    ## Trivial function to access the data in TES

def GaudiPython::GaudiAlgs::_init_ | ( |  | self,
|  |  | name |
| ) |  |  | `[private]`

The constructor from unique algorithm instance name,.

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-11-26

      The constructor from unique algorithm instance name,

Definition at line 160 of file GaudiAlgs.py.

    00160                            :
    00161     """
    00162     The constructor from unique algorithm instance name,
    00163     """
    00164     self._Base.__init__( self , self , name )
    00165     appMgr = gaudimodule.AppMgr()
    00166     algMgr = appMgr._algmgr
    00167     status = algMgr.addAlgorithm( self )
    00168     if status.isFailure() :
    00169         raise RuntimeError, 'Unable to add Algorithm "' + name + '"'
    00170     iAlgorithm.__init__ ( self , name , self )
    00171
    00172 # =============================================================================
    ## The default initialization (initilization of base C++ class + data

def GaudiPython::GaudiAlgs::_initialize_ | ( |  | self | ) | `[private]`

The default initialization (initilization of base C++ class + data.

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-11-26

      The default initialzation (initilization of base C++ class + data

Definition at line 177 of file GaudiAlgs.py.

    00177                           :
    00178     """
    00179     The default initialzation (initilization of base C++ class + data
    00180     """
    00181     status = self._Base.initialize_( self )
    00182     if status.isFailure() : return status
    00183
    00184     # set the basic services
    00185     _e = self._Base.evtSvc( self )
    00186     _s = gaudimodule.InterfaceCast(gaudimodule.gbl.IService)(_e)
    00187     self._evtSvc_ = gaudimodule.iDataSvc ( _s.name() , _e )
    00188
    00189     _d = self._Base.detSvc( self )
    00190     _s = gaudimodule.InterfaceCast(gaudimodule.gbl.IService)(_d)
    00191     self._detSvc_ = gaudimodule.iDataSvc ( _s.name() , _d )
    00192
    00193     return status
    00194
    00195 # =============================================================================
    ## The default initialization (initilization of base C++ class + data memebrs)

def GaudiPython::GaudiAlgs::_initialize_histo_ | ( |  | self | ) | `[private]`

The default initialization (initilization of base C++ class + data memebrs).

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-11-26

      The default initialzation (initilization of base C++ class + data memebrs)

Definition at line 200 of file GaudiAlgs.py.

    00200                                 :
    00201     """
    00202     The default initialzation (initilization of base C++ class + data memebrs)
    00203     """
    00204     status = _initialize_( self )
    00205     if status.isFailure() : return status
    00206
    00207     # set the basic services
    00208     _h = self._Base.histoSvc( self )
    00209     _s = gaudimodule.InterfaceCast(gaudimodule.gbl.IService)(_h)
    00210     self._histoSvc_ = gaudimodule.iHistogramSvc ( _s.name() , _h )
    00211
    00212     return status
    00213
    00214 # =============================================================================
    ## The default initilization (initialization of base C++ class + data memebrs)

def GaudiPython::GaudiAlgs::_initialize_tuple_ | ( |  | self | ) | `[private]`

The default initilization (initialization of base C++ class + data memebrs).

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-11-26

      The default initialzation (initilization of base C++ class + data memebrs)

Definition at line 219 of file GaudiAlgs.py.

    00219                                 :
    00220     """
    00221     The default initialzation (initilization of base C++ class + data memebrs)
    00222     """
    00223     status = _initialize_histo_( self )
    00224     if status.isFailure() : return status
    00225
    00226     # set the basic services
    00227     if self.produceNTuples() :
    00228         _n = self._Base.ntupleSvc( self )
    00229         _s = gaudimodule.InterfaceCast(gaudimodule.gbl.IService)(_n)
    00230         self._ntupleSvc_ = gaudimodule.iNTupleSvc ( _s.name() , _n )
    00231
    00232     if self.produceEvtCols() :
    00233         _n = self._Base.evtColSvc( self )
    00234         _s = gaudimodule.InterfaceCast(gaudimodule.gbl.IService)(_n)
    00235         self._evtcolSvc_ = gaudimodule.iNTupleSvc ( _s.name() , _n )
    00236
    00237     return status
    00238
    00239 # =============================================================================
    ## Trivial helper function to access Event Data and Event Data Service

def GaudiPython::GaudiAlgs::_nTuple_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

    Retrieve (book-on-demand) N-Tuple object

Definition at line 949 of file GaudiAlgs.py.

    00949                          :
    00950     """
    00951     Retrieve (book-on-demand) N-Tuple object
    00952     """
    00953     return GaudiPython.TupleAlgDecorator.nTuple ( s , *a )
    def _evtCol_ ( s , *a )  :

def GaudiPython::GaudiAlgs::_ntupleSvc | ( |  | self | ) | `[private]`

Trivial helper function to access NTuple Service.

    Trivial function to access N-Tuple Service

Definition at line 354 of file GaudiAlgs.py.

    00354                         :
    00355     """
    00356     Trivial function to access N-Tuple Service
    00357     """
    00358     return self._ntupleSvc_
    00359
    00360 # =============================================================================
    ## Trivial helper function to access Event Collection Service

def GaudiPython::GaudiAlgs::_plot1D_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

    The basic method to fill (book-on-demand) 1D-histogram

    The histogram will be created/booked dautomatically according to the
    specifications:

       - literal or numerical ID (optional)
       - title
       - low edge
       - high edge
       - number of bins (default is 100)

    The reference to the histogram is returned and could be used for later manipulations

Definition at line 829 of file GaudiAlgs.py.

    00829                           :
    00830     """
    00831     The basic method to fill (book-on-demand) 1D-histogram
    00832
    00833     The histogram will be created/booked dautomatically according to the
    00834     specifications:
    00835
    00836        - literal or numerical ID (optional)
    00837        - title
    00838        - low edge
    00839        - high edge
    00840        - number of bins (default is 100)
    00841
    00842     The reference to the histogram is returned and could be used for later manipulations
    00843
    00844     """
    00845     return GaudiPython.HistoDecorator.plot1D    (s,*a)
    def _plot2D_    ( s, *a ) :

def GaudiPython::GaudiAlgs::_plot2D_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

    The basic method to fill (book-on-demand) 2D-histogram

    The histogram will be created/booked dautomatically according to the
    specifications:

       - literal or numerical ID (optional)
       - title
       - low X-edge
       - high X-edge
       - low Y-edge
       - high Y-edge
       - number of X-bins (default is 50)
       - number of Y-bins (default is 50)

    The reference to the histogram is returned and could be used for later manipulations

Definition at line 846 of file GaudiAlgs.py.

    00846                           :
    00847     """
    00848     The basic method to fill (book-on-demand) 2D-histogram
    00849
    00850     The histogram will be created/booked dautomatically according to the
    00851     specifications:
    00852
    00853        - literal or numerical ID (optional)
    00854        - title
    00855        - low X-edge
    00856        - high X-edge
    00857        - low Y-edge
    00858        - high Y-edge
    00859        - number of X-bins (default is 50)
    00860        - number of Y-bins (default is 50)
    00861
    00862     The reference to the histogram is returned and could be used for later manipulations
    00863
    00864     """
    00865     return GaudiPython.HistoDecorator.plot2D    (s,*a)
    def _plot3D_    ( s, *a ) :

def GaudiPython::GaudiAlgs::_plot3D_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

    The basic method to fill (book-on-demand) 3D-histogram

    The histogram will be created/booked dautomatically according to the
    specifications:

       - literal or numerical ID (optional)
       - title
       - low X-edge
       - high X-edge
       - low Y-edge
       - high Y-edge
       - low Z-edge
       - high Z-edge
       - number of X-bins (default is 10)
       - number of Y-bins (default is 10)
       - number of Y-bins (default is 10)

    The reference to the histogram is returned and could be used for later manipulations

Definition at line 866 of file GaudiAlgs.py.

    00866                           :
    00867     """
    00868     The basic method to fill (book-on-demand) 3D-histogram
    00869
    00870     The histogram will be created/booked dautomatically according to the
    00871     specifications:
    00872
    00873        - literal or numerical ID (optional)
    00874        - title
    00875        - low X-edge
    00876        - high X-edge
    00877        - low Y-edge
    00878        - high Y-edge
    00879        - low Z-edge
    00880        - high Z-edge
    00881        - number of X-bins (default is 10)
    00882        - number of Y-bins (default is 10)
    00883        - number of Y-bins (default is 10)
    00884
    00885     The reference to the histogram is returned and could be used for later manipulations
    00886
    00887     """
    00888     return GaudiPython.HistoDecorator.plot3D    (s,*a)
    def _profile1D_ ( s, *a ) :

def GaudiPython::GaudiAlgs::_profile1D_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

    The basic method to fill (book-on-demand) 1D profile histogram

    The profile histogram will be created/booked dautomatically
    according to the specifications:

       - literal or numerical ID (optional)
       - title
       - low X-edge
       - high X-edge
       - number of X-bins (default is 100)

    The reference to the histogram is returned and could be used for later manipulations

Definition at line 889 of file GaudiAlgs.py.

    00889                           :
    00890     """
    00891     The basic method to fill (book-on-demand) 1D profile histogram
    00892
    00893     The profile histogram will be created/booked dautomatically
    00894     according to the specifications:
    00895
    00896        - literal or numerical ID (optional)
    00897        - title
    00898        - low X-edge
    00899        - high X-edge
    00900        - number of X-bins (default is 100)
    00901
    00902     The reference to the histogram is returned and could be used for later manipulations
    00903
    00904     """
    00905     return GaudiPython.HistoDecorator.profile1D (s,*a)
    def _profile2D_ ( s, *a ) :

def GaudiPython::GaudiAlgs::_profile2D_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

    The basic method to fill (book-on-demand) 2D profile histiogram

    The profile histogram will be created/booked automatically
    according to the specifications:

       - literal or numerical ID (optional)
       - title
       - low X-edge
       - high X-edge
       - low Y-edge
       - high Y-edge
       - number of X-bins (default is 50)
       - number of Y-bins (default is 50)

    The reference to the histogram is returned and could be used for later manipulations

Definition at line 906 of file GaudiAlgs.py.

    00906                           :
    00907     """
    00908     The basic method to fill (book-on-demand) 2D profile histiogram
    00909
    00910     The profile histogram will be created/booked automatically
    00911     according to the specifications:
    00912
    00913        - literal or numerical ID (optional)
    00914        - title
    00915        - low X-edge
    00916        - high X-edge
    00917        - low Y-edge
    00918        - high Y-edge
    00919        - number of X-bins (default is 50)
    00920        - number of Y-bins (default is 50)
    00921
    00922     The reference to the histogram is returned and could be used for later manipulations
    00923
    00924     """
    00925     return GaudiPython.HistoDecorator.profile2D (s,*a)
    00926
    _plot1D_    .__doc__ += GaudiPython.HistoDecorator.plot1D    .__doc__

def GaudiPython::GaudiAlgs::_service_ | ( |  | self,
|  |  | interface,
|  |  | name,
|  |  | create = `False` |
| ) |  |  | `[private]`

Useful method to locate a service:.

Usage:

         ntsvc = self.svc( INTupleSvc , 'NTUpleSvc' )

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-11-26

      Useful method to locate a service:

      Usage:

      ntsvc = self.svc( INTupleSvc , 'NTUpleSvc' )

Definition at line 134 of file GaudiAlgs.py.

    00137                                     :
    00138     """
    00139     Useful method to locate a service:
    00140
    00141     Usage:
    00142
    00143     ntsvc = self.svc( INTupleSvc , 'NTUpleSvc' )
    00144
    00145     """
    00146     if not interface : interface = gaudimodule.GaudiPython.IInterface
    00147     _svc = GaudiPython.AlgDecorator.svc_ ( self , name , create )
    00148     if not _svc : return None
    00149     _svc = gaudimodule.InterfaceCast(interface)(_svc)
    00150     if not _svc :
    00151         self.Warning('Invalid cast to interface %s' % interface )
    00152         return None
    00153     return _svc
    00154
    00155 # =============================================================================
    ## The constructor from unique algorithm instance name,

def GaudiPython::GaudiAlgs::_set_attr_ | ( |  | self,
|  |  | pname,
|  |  | pvalue |
| ) |  |  | `[private]`

set the attribute or property

    Set the attribute (or property) :
    - if the attribute name corresponds to the property name, the property is updated

Definition at line 423 of file GaudiAlgs.py.

    00423                                          :
    00424     """
    00425     Set the attribute (or property) :
    00426     - if the attribute name corresponds to the property name, the property is updated
    00427     """
    00428     if not self.hasProperty( pname ) : self.__dict__[pname] = pvalue
    00429     else : iAlgorithm.__setattr__ ( self , pname , pvalue )
    00430
    00431
    _GaudiAlgorithm = GaudiPython.PyAlg( 'GaudiAlgorithm' )

def GaudiPython::GaudiAlgs::_setProperty_ | ( |  | self,
|  |  | pname,
|  |  | pvalue |
| ) |  |  | `[private]`

set the value for the given property

    Set the property from the value

Definition at line 402 of file GaudiAlgs.py.

    00402                                             :
    00403     """
    00404     Set the property from the value
    00405     """
    00406     if not self.hasProperty( pname ) :
    00407         raise AttributeError, 'property %s does not exist' % pname
    00408     return iAlgorithm.__setattr__ ( self , pname , pvalue )
    00409
    00410 # =============================================================================
    ## get the attribute or property

def GaudiPython::GaudiAlgs::_start_ | ( |  | self | ) | `[private]`

    The stub 'start' method needed by the internal implementation of PyAlg<>.

Definition at line 797 of file GaudiAlgs.py.

    00797                      :
    00798     """
    00799     The stub 'start' method needed by the internal implementation of PyAlg<>.
    00800     """
    00801     # return self._Base.start_(self)
    00802     return SUCCESS
    00803
    00804 GaudiAlgo.start = _start_
    00805 HistoAlgo.start = _start_
    00806 TupleAlgo.start = _start_
    00807
    def _execute_ ( self ) :

def GaudiPython::GaudiAlgs::_stop_ | ( |  | self | ) | `[private]`

    The stub 'stop' method needed by the internal implementation of PyAlg<>.

Definition at line 818 of file GaudiAlgs.py.

    00818                     :
    00819     """
    00820     The stub 'stop' method needed by the internal implementation of PyAlg<>.
    00821     """
    00822     # return self._Base.stop_(self)
    00823     return SUCCESS
    00824
    00825 GaudiAlgo.stop = _stop_
    00826 HistoAlgo.stop = _stop_
    00827 TupleAlgo.stop = _stop_
    00828
    def _plot1D_    ( s, *a ) :

def GaudiPython::GaudiAlgs::_success_ | ( |  | self | ) | `[private]`

Dummy method returning success.

Definition at line 379 of file GaudiAlgs.py.

    00379                        : return gaudimodule.SUCCESS
    00380
    00381
    00382 # =============================================================================

def GaudiPython::GaudiAlgs::_t_array_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

Definition at line 989 of file GaudiAlgs.py.

    00989 : return _Dec.array  (s,*a)

def GaudiPython::GaudiAlgs::_t_column_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

Definition at line 988 of file GaudiAlgs.py.

    00988 : return _Dec.column (s,*a)

def GaudiPython::GaudiAlgs::_t_farray_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

Definition at line 991 of file GaudiAlgs.py.

    00991 : return _Dec.farray (s,*a)

def GaudiPython::GaudiAlgs::_t_fmatrix_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

Definition at line 992 of file GaudiAlgs.py.

    00992                        : return _Dec.fmatrix (s,*a)
    00993

def GaudiPython::GaudiAlgs::_t_matrix_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

Definition at line 990 of file GaudiAlgs.py.

    00990 : return _Dec.matrix (s,*a)

def GaudiPython::GaudiAlgs::_t_ntuple_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

Definition at line 985 of file GaudiAlgs.py.

    00985 : return _Dec.ntuple (s,*a)

def GaudiPython::GaudiAlgs::_t_nTuple_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

Definition at line 984 of file GaudiAlgs.py.

    00984 : return _Dec.nTuple (s,*a)

def GaudiPython::GaudiAlgs::_t_valid_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

Definition at line 986 of file GaudiAlgs.py.

    00986 : return _Dec.valid  (s,*a)

def GaudiPython::GaudiAlgs::_t_write_ | ( |  | s,
|  |  | a |
| ) |  |  | `[private]`

Definition at line 987 of file GaudiAlgs.py.

    00987 : return _Dec.write  (s,*a)

def GaudiPython::GaudiAlgs::_tool_ | ( |  | self,
|  |  | interface,
|  |  | typename,
|  |  | name = `None`,
|  |  | parent = `None`,
|  |  | create = `True` |
| ) |  |  | `[private]`

Useful method to locate the tool a certain.

Usage:

          # locate public tool
          t1 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator')
          # locate private tool
          t2 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator',parent=self)
          # locate public tool with defined name
          t3 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator/MyExt1')
          # locate private tool with defined name
          t4 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator/MyExt2',parent=self)
          # locate public tool with defined name
          t5 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator','MyExt3')
          # locate private tool with defined name
          t6 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator','MyExt4',parent=self)

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-11-26

      Useful method to locate the tool a certain

      Usage:

      # locate public tool
      t1 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator')
      # locate private tool
      t2 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator',parent=self)
      # locate public tool with defined name
      t3 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator/MyExt1')
      # locate private tool with defined name
      t4 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator/MyExt2',parent=self)
      # locate public tool with defined name
      t5 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator','MyExt3')
      # locate private tool with defined name
      t6 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator','MyExt4',parent=self)

Definition at line 85 of file GaudiAlgs.py.

    00090                                 :
    00091     """
    00092     Useful method to locate the tool a certain
    00093
    00094     Usage:
    00095
    00096     # locate public tool
    00097     t1 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator')
    00098     # locate private tool
    00099     t2 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator',parent=self)
    00100     # locate public tool with defined name
    00101     t3 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator/MyExt1')
    00102     # locate private tool with defined name
    00103     t4 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator/MyExt2',parent=self)
    00104     # locate public tool with defined name
    00105     t5 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator','MyExt3')
    00106     # locate private tool with defined name
    00107     t6 = self.tool(ITrExtrapolator,'TrParabolicExtrapolator','MyExt4',parent=self)
    00108
    00109     """
    00110     if not interface : interface = gaudimodule.GaudiPython.IAlgTool
    00111     if not parent    : parent    = self
    00112     if name          : typename  += '/' + name
    00113     _tool = GaudiPython.AlgDecorator.tool_( self , typename , parent , create )
    00114     if not _tool : return None
    00115     _tool = gaudimodule.InterfaceCast(interface)(_tool)
    00116     if not _tool :
    00117         self.Warning('Invalid cast to interface %s' % interface )
    00118         return None
    00119     return _tool
    00120
    00121 # =============================================================================
    ## Useful method to locate a service:

def GaudiPython::GaudiAlgs::mapvct | ( |  | func,
|  |  | sequence,
|  |  | ovct = `None` |
| ) |  |  |

    Helper function to fill histogram/ntuple using 'map'-operation

Definition at line 1053 of file GaudiAlgs.py.

    01053                                              :
    01054     """ Helper function to fill histogram/ntuple using 'map'-operation """
    01055     if not ovct :
    01056         vct = GaudiPython.Vector
    01057     else :
    01058         vct = ovct
    01059     if   hasattr( sequence, 'size' ) :
    01060         vct.reserve ( vct.size() + sequence.size() )
    01061     elif hasattr( sequence, '__len__' ) :
    01062         vct.reserve ( vct.size() + len( sequence ) )
    01063     for object in sequence :
    01064         vct.push_back( func( object ) )
    01065     if not ovct : return vct
    01066
    01067
    01068 GaudiPython.mapvct = mapvct
    01069
    01070 # =============================================================================
    01071 # pseudo help
    01072 # =============================================================================
    def _help_() :

## Variable Documentation

string GaudiPython::GaudiAlgs::__author__ = 'Vanya BELYAEV Ivan.Belyaev@lapp.in2p3.fr'

Definition at line 39 of file GaudiAlgs.py.

dictionary GaudiPython::GaudiAlgs::_alg_map_

Initial value:

    {
        '__init__'    : _init_        , # constructor
        'tool'        : _tool_        , # service locator
        'svc'         : _service_     , # tool locator
        'evtSvc'      : _evtSvc       , # event data service
        'eventSvc'    : _evtSvc       , # event data service
        'detSvc'      : _detSvc       , # detector data service
        'histoSvc'    : _histoSvc     , # histogram data service
        'histSvc'     : _histoSvc     , # histogram data service
        'get'         : _get          , # access to event data
        'getDet'      : _getDet       , # access to detector data
        'finalize'    : _finalize_    , # algorithm finalization
        'beginRun'    : _success_     , # dummy function returning success
        'endRun'      : _success_     , # dummy function returning success
        #
        'hasProperty' : _hasProperty_ , # check the existence of property with given name
        'getProperty' : _getProperty_ , # get the property value with given name
        'setProperty' : _setProperty_ , # set the property with given name
        '__setattr__' : _set_attr_    , # set the attribute/property with given name
        '__getattr__' : _get_attr_      # set the attribute/property with given name
        }

Definition at line 1014 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::_Dec = GaudiPython.TupleDecorator

Definition at line 983 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::_detSvc_

Definition at line 191 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::_evtcolSvc_

Definition at line 235 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::_evtSvc_

Definition at line 187 of file GaudiAlgs.py.

tuple GaudiPython::GaudiAlgs::_GaudiAlgorithm = GaudiPython.PyAlg( 'GaudiAlgorithm' )

Definition at line 432 of file GaudiAlgs.py.

tuple GaudiPython::GaudiAlgs::_GaudiHistoAlg = GaudiPython.PyAlg( 'GaudiHistoAlg' )

Definition at line 433 of file GaudiAlgs.py.

tuple GaudiPython::GaudiAlgs::_GaudiTupleAlg = GaudiPython.PyAlg( 'GaudiTupleAlg' )

Definition at line 434 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::_histoSvc_

Definition at line 210 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::_ntupleSvc_

Definition at line 230 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::GaudiAlg = gaudimodule.gbl.GaudiAlg

Definition at line 47 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::GaudiPython = gaudimodule.gbl.GaudiPython

get the namespaces

Definition at line 46 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::HID = GaudiAlg.ID

"typedef" for GaudiPython::Vector

"typedef" for GaudiPython::Matrix histogram and N-Tuple universal identifier

Definition at line 53 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::HistoID = HID

Definition at line 54 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::iAlgorithm = gaudimodule.iAlgorithm

Definition at line 59 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::SUCCESS = gaudimodule.SUCCESS

Definition at line 58 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::TID = HID

Definition at line 55 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::Tuple = gaudimodule.gbl.Tuples.Tuple

Definition at line 982 of file GaudiAlgs.py.

GaudiPython::GaudiAlgs::TupleID = TID

Definition at line 56 of file GaudiAlgs.py.